using MasterDevs.ChromeDevTools;
using Newtonsoft.Json;
using System.Collections.Generic;

namespace MasterDevs.ChromeDevTools.Protocol.iOS.Runtime
{
	/// <summary>
	/// Represents function call argument. Either remote object id <code>objectId</code> or primitive <code>value</code> or neither of (for undefined) them should be specified.
	/// </summary>
	[SupportedBy("iOS")]
	public class CallArgument
	{
		/// <summary>
		/// Gets or sets Primitive value.
		/// </summary>
		public object Value { get; set; }
		/// <summary>
		/// Gets or sets Remote object handle.
		/// </summary>
		public string ObjectId { get; set; }
	}
}
